@import 'bootstrap-variables';
@import '~bootstrap/scss/functions';
@import '~bootswatch/dist/darkly/variables';
@import '~bootstrap/scss/variables';

/* ==============================================================
Bootstrap tweaks
===============================================================*/

body,
h1,
h2,
h3,
h4 {
  font-weight: 300;
}

a:hover {
  /* make sure browsers use the pointer cursor for anchors, even with no href */
  cursor: pointer;
}

.dropdown-item:hover {
  color: $dropdown-link-hover-color;
}

/* ==========================================================================
Browser Upgrade Prompt
========================================================================== */

.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

/* ==========================================================================
Generic styles
========================================================================== */

/* other generic styles */

.container-fluid {
  width: 100%;
  height: 100%;
}

.jh-card {
  width: 1300px;
  height: 500px;
  padding: 1.5%;
  margin-top: 20px;
  border: none;
  background-color: rgb(170, 167, 165);
  background-image: url('../../content/images/backg.png');
}

.error {
  color: white;
  background-color: red;
}

.pad {
  padding: 10px;
}

.w-40 {
  width: 40% !important;
}

.w-60 {
  width: 60% !important;
}

.break {
  white-space: normal;
  word-break: break-all;
}

.readonly {
  background-color: #eee;
  opacity: 1;
}

.footer {
  border-top: 1px solid rgba(0, 0, 0, 0.125);
}

.hand,
[jhisortby] {
  cursor: pointer;
}

/* ==========================================================================
Custom alerts for notification
========================================================================== */

.alerts {
  .alert {
    text-overflow: ellipsis;
    pre {
      background: none;
      border: none;
      font: inherit;
      color: inherit;
      padding: 0;
      margin: 0;
    }
    .popover pre {
      font-size: 10px;
    }
  }
  .jhi-toast {
    position: fixed;
    width: 100%;
    &.left {
      left: 5px;
    }
    &.right {
      right: 5px;
    }
    &.top {
      top: 55px;
    }
    &.bottom {
      bottom: 55px;
    }
  }
}

@media screen and (min-width: 480px) {
  .alerts .jhi-toast {
    width: 50%;
  }
}

/* ==========================================================================
entity detail page css
========================================================================== */

.row-md.jh-entity-details {
  display: grid;
  grid-template-columns: auto 1fr;
  column-gap: 10px;
  line-height: 1.5;
}

@media screen and (min-width: 768px) {
  .row-md.jh-entity-details > {
    dt {
      float: left;
      overflow: hidden;
      clear: left;
      text-align: right;
      text-overflow: ellipsis;
      white-space: nowrap;
      padding: 0.5em 0;
    }
    dd {
      border-bottom: 1px solid #eee;
      padding: 0.5em 0;
      margin-left: 0;
    }
  }
}

/* ==========================================================================
ui bootstrap tweaks
========================================================================== */

.nav,
.pagination,
.carousel,
.panel-title a {
  cursor: pointer;
}

.thread-dump-modal-lock {
  max-width: 450px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/* jhipster-needle-scss-add-main JHipster will add new css style */

.title {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  color: rgb(11, 81, 187);
}

.alerta {
  background-color: #303030b0;
}

.alerta {
  border: none;
  color: #fff;
}

.alerta {
  position: relative;
  padding: 0.75rem 1.25rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: 0.25rem;
}

.register {
  font-weight: 700;
}

.register {
  color: rgb(8, 173, 250);
  text-decoration: none;
  background-color: transparent;
}

// grid

.grid {
  display: grid;
}

.grid-template-columns {
  grid-template-columns: 200px 200px;
}

.grid-template-columns-3 {
  grid-template-columns: 1fr 2fr 1fr;
}

.subgrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 10px;
}

.subgrid > div {
  background: rgba(0, 0, 0, 0.3);
}

/* Estilos Gerais */
.item {
  margin: 5px;
  background: rgb(120, 71, 255);
  text-align: center;
  font-size: 1.5em;
}

.grid {
  max-width: 280px;
  margin: 0 auto;
}

body > div {
  padding: 40px 0;
}

body > div:nth-of-type(even) {
  background: rgba(0, 0, 0, 0.03);
}

.card-green {
  width: 60%;
  max-height: 400px;
  height: 60%;
  margin-bottom: 30px;
  float: left;
  position: relative;
  overflow: hidden;
  border-radius: 6px;
  transition: 0.5s;
  box-shadow: 0 2px 1px rgba(0, 0, 0, 0.15);
}
.card-green .img-box {
  position: relative;
  left: 0;
  bottom: 0;
  width: 60%;
  height: 20%;
  transition: 0.5s;
}
.card-green .img-box img {
  width: 110%;
  transition: 0.5s;
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}
.card-green:hover .img-box img {
  -webkit-transform: scale(1);
  transform: scale(1);
}
.card-green .desc {
  position: absolute;
  width: 70%;
  height: auto;
  bottom: 0;
  transition: 0.5s;
  padding: 0px;
  text-align: center;
  z-index: 1;
}
.card-green .desc h4 {
  width: 100%;
  font-size: 1.2em;
  color: #fff;
  font-family: 'open_sansbold';
  margin-bottom: 5px;
}
.card-green .desc p {
  width: 100%;
  font-size: 0.8em;
  color: #fff;
  font-family: 'open_sansregular';
}
.card-green .desc span {
  letter-spacing: 8px;
  font-family: 'open_sansregular';
}
.card-green .desc ul {
  display: block;
  margin: 20px 0 0;
  padding: 0;
  align-items: center;
  justify-content: center;
}
.card-green .desc ul li {
  list-style: none;
}

.card-green .desc ul li a {
  color: #fff;
  background-color: #0000002e;
  display: block;
  width: 33.3%;
  height: 60px;
  line-height: 65px;
  font-size: 1.3em;
  text-decoration: none;
  transition: 0.6s;
  float: left;
}
.card-green .desc ul li a:hover {
  background-color: #ffffff85;
  color: #1a4aa2;
}
.card-green .desc.degradeGreen {
  background: linear-gradient(0deg, rgba(51, 97, 250, 0.9), transparent);
}
/*768PX BREAKPOINT*/
@media (min-width: 10em) {
  .card-green {
    width: 31.33%;
    max-height: 430px;
    margin-right: -8%;
  }
  .card-green:nth-of-type(3n + 0) {
    margin-right: 0;
  }
}

// empresas

.card-green .desc.degradeempresa {
  background: linear-gradient(0deg, rgba(210, 51, 250, 0.9), transparent);
}

.titulo {
  border-bottom: 1px solid #58116d;
  margin-bottom: 40px;
  padding-bottom: 0;
}
/*Se quiser centralizar o texto add a class centraliza */
.titulo.centraliza {
  text-align: center;
}
.titulo h1,
.titulo h2,
.titulo h3 {
  display: inline-block;
  font-family: 'open_sansbold';
  font-size: 1.5em;
  color: #ffffff;
  margin-top: 0;
  margin-bottom: 0;
}
.titulo span,
.titulo span,
.titulo span {
  display: inline-block;
  font-family: 'open_sansregular';
  color: #ffffff;
  margin-top: 0;
  margin-bottom: 0;
}
.titulo span::after,
.titulo span::after,
.titulo span::after {
  content: '';
  display: block;
  position: relative;
  top: 5px;
  width: 100%;
  height: 5px;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  background-image: -webkit-linear-gradient(left, #ad06f0 0, #850259 100%);
  background-image: -o-linear-gradient(left, #a000e0 0, #7c0786 100%);
  background-image: linear-gradient(to right, #f360e7 0, #85026f 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00d8e0', endColorstr='#028085', GradientType=1);
}

.titulo-inf {
  border-bottom: 1px solid #6333e9;
  margin-bottom: 40px;
  padding-bottom: 0;
}
/*Se quiser centralizar o texto add a class centraliza */
.titulo-inf.centraliza {
  text-align: center;
}
.titulo-inf h1,
.titulo-inf h2,
.titulo-inf h3 {
  display: inline-block;
  font-family: 'open_sansbold';
  font-size: 1.5em;
  color: #ffffff;
  margin-top: 0;
  margin-bottom: 0;
}
.titulo-inf span,
.titulo-inf span,
.titulo-inf span {
  display: inline-block;
  font-family: 'open_sansregular';
  color: #ffffff;
  margin-top: 0;
  margin-bottom: 0;
}
.titulo-inf span::after,
.titulo-inf span::after,
.titulo-inf span::after {
  content: '';
  display: block;
  position: relative;
  top: 5px;
  width: 100%;
  height: 5px;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  background-image: -webkit-linear-gradient(left, #022aac 0, #535ef5 100%);
  background-image: -o-linear-gradient(left, #0c08f7 0, #3a7ada 100%);
  background-image: linear-gradient(to right, #1b18e0 0, #3f68f0 100%);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00d8e0', endColorstr='#028085', GradientType=1);
}

.tbodyInf {
  background-color: #022aac;
}

.backhome {
  display: grid;
  margin-top: 10%;
}

.help {
  width: 8%;
  height: 35px;
  background-color: #555555; /* Green */
  border: none;
  color: white;
  text-align: center;
  text-decoration: none;
  font-size: 16px;
  border-radius: 4px;
}
